# Clipchat

Simple CLI to post messages to Hip Chat

# Install

```
npm install -g clipchat
```

# Usage

 clipchat:  [options]

  Options:

    -h, --help                 output usage information
    -V, --version              output the version number
    -k, --key <key>            Hipchat key to use to post a message
    -r, --room <room>          Hipchat key to use to post a message
    -u, --username <username>  Username to display as emitter
    -c, --color <color>        Color of the message
    -m, --message <message>    Message to display
    -l, --list <item>          List [rooms|users] (needs an admin key)

# Example

This command sends a message to a room:

```
% clipchat -k <HIPCHAT_USER_KEY> -r <ROOM_ID> -m 'MESSAGE TO DISPLAY' -u 'BOT'
``` 

This command lists all rooms:

```
% clipchat -k <HIPCHAT_ADMIN_KEY> -l rooms
``` 

This command lists all users:

```
% clipchat -k <HIPCHAT_ADMIN_KEY> -l users
``` 

# Dependencies

* [node-hipchat](https://github.com/nkohari/node-hipchat/)
* commander
* co
* co-prompt


